Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#40569 - [teamspeak3] Missing depends

Attached to Project: Community Packages
Opened by Hugo Osvaldo Barrera (hobarrera) - Tuesday, 27 May 2014, 12:07 GMT
Last edited by Sven-Hendrik Haase (Svenstaro) - Saturday, 31 May 2014, 13:54 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Sven-Hendrik Haase (Svenstaro)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description:
Teamspeak fails to run as is:

$ teamspeak3
This application failed to start because it could not find or load the Qt platform plugin "xcb".

Available platform plugins are: eglfs, kms, linuxfb, minimal, minimalegl, offscreen, xcb.

Reinstalling the application may fix this problem.
./ts3client_runscript.sh: line 15: 3633 Aborted (core dumped) ./ts3client_linux_amd64 $@

I narrowed it down to a missing dependency: libxkbcommon-x11

Installing it fixes the issue, so it should be added to depends.
This task depends upon

Closed by  Sven-Hendrik Haase (Svenstaro)
Saturday, 31 May 2014, 13:54 GMT
Reason for closing:  Fixed
Comment by Doug Newgard (Scimmia) - Tuesday, 27 May 2014, 14:03 GMT
You're running testing?
Comment by Hugo Osvaldo Barrera (hobarrera) - Tuesday, 27 May 2014, 14:09 GMT
Yes, I am. I forgot to clarify, this applies to teamspeak3-3.0.14-1 and 3.0.14-2.
Comment by Doug Newgard (Scimmia) - Tuesday, 27 May 2014, 14:20 GMT
Yeah, this is a Qt5.3 thing. That's why libxkbcommon-x11 is an optdepend on qt5-base now. Please remember to tell us you're using testing when reporting bugs.

Somewhat related report:  FS#40468 
Comment by Wyatt J. Brown (sushidude) - Friday, 30 May 2014, 21:21 GMT
I am not running testing and I am encountering this issue.
Comment by Doug Newgard (Scimmia) - Saturday, 31 May 2014, 00:56 GMT
Yes, Qt 5.3 is now out of testing, so this affect everyone.

Loading...